/*
* RunUO 2.0 RC 2 
 * Script: Greater Intelligence Potion
* Script by Energy
 * ICQ # 411-144-844
*/

using System;
using Server;

namespace Server.Items
{
    public class GreaterIntelligence : BaseIntelligencePotion
    {
        public override int IntOffset { get { return 11; } } //  /. 11    
        public override TimeSpan Duration { get { return TimeSpan.FromMinutes(2.0); } } // TimeSpan -  , From Minutes   , 2.0      
        
        [Constructable]
        public GreaterIntelligence() : base( PotionEffect.GreaterIntelligence ) // GreaterIntelligence -    BasePotion, Enum PotionEffect 
        {
            Name = "Greater Int Potion";
        }

        public GreaterIntelligence( Serial serial ) : base( serial )
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    } //  
}