/*
* RunUO 2.0 RC 2 
 * Script: Eye Of Newt - Reagent for crafting Mana
* Script by Energy
 * ICQ # 411-144-844
*/

using System;

namespace Server.Items
{
    public class EyeOfNewt : Item // Mana Potion Reagent.
    {
        [Constructable]
        public EyeOfNewt() : this(1)
        {
        }

        [Constructable]
        public EyeOfNewt( int amount ) : base( 0xF87 )
        {
            Name = "Eye Of Newt";
            Hue = 1266;
            Stackable = true;
            Weight = 1.0;
            Amount = amount;
        }

        public EyeOfNewt( Serial serial ) : base( serial )
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    } 
} //  