/*
* RunUO 2.0 RC 2 
 * Script: Intelligence Potion
* Script by Energy
 * ICQ # 411-144-844
*/

using System;
using Server;

namespace Server.Items
{
    public class IntelligencePotion : BaseIntelligencePotion
    {
        public override int IntOffset { get { return 5; } } //  /.
        public override TimeSpan Duration { get { return TimeSpan.FromMinutes(2.0); } } // TimeSpan -  , From Minutes   , 2.0      
        // Intelligence Potion +5.
        [Constructable]
        public IntelligencePotion() : base( PotionEffect.Intelligence ) //Intelligence -    BasePotion Enum PotionEffect 
        {
            Name = "Int Potion";
        }

        public IntelligencePotion( Serial serial ) : base( serial )
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    } //   
}