/*
* RunUO 2.0 RC 2 
 * Script: Wyrm's Hearts - Reagent for crafting Intelligence Potion.
* Script by Energy
 * ICQ # 411-144-844
*/

using System;

namespace Server.Items
{
    public class WyrmsHearts : Item // Intelligence Reagent.
    {
        [Constructable]
        public WyrmsHearts() : this(1)
        {
        }

        [Constructable]
        public WyrmsHearts( int amount ) : base( 0xF91 )
        {
            Name = "Wyrm's Hearts";
            Hue = 1266;
            Stackable = true;
            Weight = 1.0;
            Amount = amount;
        }

        public WyrmsHearts(Serial serial)
            : base(serial)
        {
        }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
} //  